1. We have added the ability to collapse/expand forum categories and widgets on forum home.
    Dismiss Notice
  2. Photobucket has changed its policy concerning hotlinking images and now requires an account with a $399.00 annual fee to allow hotlink. More information is available at: this link.
    Dismiss Notice
  3. All Civ avatars are brought back and available for selection in the Avatar Gallery! There are 945 avatars total.
    Dismiss Notice
  4. To make the site more secure, we have installed SSL certificates and enabled HTTPS for both the main site and forums.
    Dismiss Notice
  5. Civ6 is released! Order now! (Amazon US | Amazon UK | Amazon CA | Amazon DE | Amazon FR)
    Dismiss Notice
  6. Dismiss Notice
  7. Forum account upgrades are available for ad-free browsing.
    Dismiss Notice

Download BUG and BAT Here!

Discussion in 'Civ4 - BTS Unaltered Gameplay (BUG, BAT and BULL)' started by alerum68, May 10, 2008.

  1. zarakand

    zarakand Chieftain

    Joined:
    Nov 4, 2005
    Messages:
    560
    Location:
    Chicago
    That's exciting! I've just come back to civ4 after a several year hiatus for CiV. What are some anticipated changes?


    Sent from my iPhone using Tapatalk
     
  2. Lemon Merchant

    Lemon Merchant Smarticus Pantsidae

    Joined:
    Jun 27, 2008
    Messages:
    4,359
    Gender:
    Female
    Location:
    Red Sector A
    - I'm implementing more great people graphics for the popups, and...

    - Some changes to the 'Pedia and WB
    - Weather effects and natural disasters graphics
    - Optional new terrain
    - A retooled Modern Era Expansion pack
    - Installable Civ packs for extra fun.
     
  3. Seraiel

    Seraiel Chieftain

    Joined:
    Sep 6, 2011
    Messages:
    7,948
    Gender:
    Male
    I'm sry for asking such a n00bish question and not being able to figure this out myself, but I'm trying to install BUG + BULL but also want the optional components Global Warming and Sentry Actions so that the game is as close to BUFFY as possible. I researched at least half an hour, but certain files that I shall merge or replace (i. e. CIV4GameOptionInfos.xml) simply aren't in my custom assets folder, so I cannot merge. I use BUG 4.4 installed in the custom assets and I wasn't sure how to bestly install the BULL-mod so I chose the installation in which it needs to be loaded as a mod.

    My main aim is actually something really simple, I want to be able to play a forum game that someone set up without all of these mod but want to have the mods when I play, is that even possible? Is installing BAT maybe much easier and can do the same? And do I also need the better AI patch to come as close as possible to the BUFFY-CIV-Installation that I normally use when plaing GOTM / for HoF?

    A typical game would be i. e. this. It's important that my saves remain compatible towards the other players so that someone can look at them even without having my exact mod-configuration.

    Tia for any help :) .
     
  4. ruff_hi

    ruff_hi Live 4ever! Or die trying

    Joined:
    Oct 24, 2005
    Messages:
    8,868
    Location:
    an Aussie in Boston
    @Seraiel ... some of what you are asking is not compatable. It you want others to be able to play your save without loading a mod, then, IIRC, it needs to be a CustomAssets install. However, you can't have BAT, Better AI Global Warming mod, Sentry Actions, etc installed that way (they include DLL parts).
     
  5. Seraiel

    Seraiel Chieftain

    Joined:
    Sep 6, 2011
    Messages:
    7,948
    Gender:
    Male
    Ok, thx ruff_hi :) .

    Then I'll simply play with BUG + BULL and without the Global Warming mod :) . I thought it would be possible to include that somehow without modifying the .dll, but now I understand why BUFFY-games are not compatible with non-BUFFY ones.

    Thx for all of your work :) .
     
  6. Civ Vicious

    Civ Vicious Chieftain

    Joined:
    Feb 4, 2011
    Messages:
    26
  7. junsumoney

    junsumoney Chieftain

    Joined:
    Mar 6, 2014
    Messages:
    18
    I'm really confused about what I need to install. I have the Steam version of BTS 3.19 and I installed BUG first. I opened the game and the mod was there. Then I tried to install BAT but the installer said either my game isn't the right version or it can't find the path.

    Then I read through this thread a bit and apparently I don't need to install BUG if I want to install BAT? Do I need to install BULL mod too? And what's BUFFY? I just want the latest version with all the features. Please help, thank you!
     
  8. s.bernbaum

    s.bernbaum Mostly lurking

    Joined:
    Dec 2, 2006
    Messages:
    2,627
    Location:
    The wilds of Montana
    What is your OS?
     
  9. junsumoney

    junsumoney Chieftain

    Joined:
    Mar 6, 2014
    Messages:
    18
    Ok, so I figured it out. I already had a non-Steam installation of Beyond the Sword from long time ago and I updated it with the 3.19 patch. That's why BAT wouldn't install. I have Windows 7 btw.

    So I installed BUG then BAT. I noticed BAT has Blue Marble, so I assume I don't need to install Blue Marble then, right? I also installed BULL, Better BUG AI, and BUFFY as mods. And I see that I can load them these 3 and BAT separately.

    So I guess my ultimate question is: which mod do I play with? I understand some of them are an improvement of the previous versions of the mods. I guess I should play with Better BUG AI since it packages BUG, BAT, and BULL into one mod with improvements and tweaks. But BUFFY sounds good too.

    Edit: Also, when I load Better BUG AI, I get "BugOptions - Cannot locate settings folder."
     
  10. Lemon Merchant

    Lemon Merchant Smarticus Pantsidae

    Joined:
    Jun 27, 2008
    Messages:
    4,359
    Gender:
    Female
    Location:
    Red Sector A
    - Better BUG AI does not include BAT. Better BAT AI includes BAT. BAT itself includes BUG and BULL, Blue Marble and a host of other graphics enhancements.

    - You don't need to install Blue Marble, unless you want it in all of your games. The one that is in BAT only works for BAT.

    - as for which mod to play, that depends on what you want out of the game. If you want more information from a standard BTS game, then play with BUG/BULL. If you want the BUG/BULL experience, but with better city and unit graphics, and a load of other graphics enhancements, then play with BAT.

    - Note that all of the mods (BUG, BAT and BULL) do not change the base game. There is no alteration of gameplay, except for one option in BAT, which is turned off by default. You have to enable it in a custom game, and it has to do with spies returning to the nearest city rather than your capital.

    - My advice is to play them all and see which one you like best. :)

    - As for loading Better BUG AI and having the settings folder problem, try running BTS as administrator (Right click on the BTS executable, and choose "Run as Administrator"
     
  11. junsumoney

    junsumoney Chieftain

    Joined:
    Mar 6, 2014
    Messages:
    18
    Thanks for the help! I guess I'll play with Better BAT AI since it's the most recent version of all the mods. I'll check out BUFFY too. Do you know what differences BUFFY has from Better BAT AI?
     
  12. s.bernbaum

    s.bernbaum Mostly lurking

    Joined:
    Dec 2, 2006
    Messages:
    2,627
    Location:
    The wilds of Montana
    BUFFY is designed for the Hall Of Fame games. You can use it without HOF games in regular BTS games, if you like it. However, you can't use BUG, BAT, or BULL in HOF games.
     
  13. NobleZarkon

    NobleZarkon Civ IV Emperor EQM Moderator Hall of Fame Staff Supporter

    Joined:
    Sep 6, 2012
    Messages:
    2,990
    Gender:
    Male
    Location:
    Fife, Scotland
    Buffy is based on an older, more stable version of BUG with some extra code for competitive play.
     
  14. Lemon Merchant

    Lemon Merchant Smarticus Pantsidae

    Joined:
    Jun 27, 2008
    Messages:
    4,359
    Gender:
    Female
    Location:
    Red Sector A
    Buffy does not have an improved AI. The whole point of BUFFY is that it is completely unchanged from standard BTS. It only offers the BUG (and I think BULL) enhancements, plus as NobleZarkon said, some changes for competitive game play.

    Basically, you'll find it the same as using BUG in a standard BTS game. If you are playing competitive HOF games, then it's absolutely essential, IMHO.
     
  15. NineOneSix

    NineOneSix Chieftain

    Joined:
    Sep 9, 2016
    Messages:
    29
    Hi there, I have seen people saying that Bug/Bull are the mods to have for playing strategy forum games like nobles club etc. Since Bull is now rolled into BAT can you confirm for me that BAT4.1 will allow me to use the forum saves?

    Also which install order would you recommend - BUG then BAT or vice versa?

    I tried to download BUG and BAT 4.1 for BTS yesterday but the sourceforge page kept crashing when I clicked the download links. Will try again once install order confirmed.
     
  16. Lemon Merchant

    Lemon Merchant Smarticus Pantsidae

    Joined:
    Jun 27, 2008
    Messages:
    4,359
    Gender:
    Female
    Location:
    Red Sector A
    Since most people in the Nobles club don't play with BAT, you probably won't be able to load many saves. BAT is still a good mod though, and I recommend it highly.
    You can install either mod in either order. Then if you want to use BULL along with BUG (Which we recommend), you'll have to do a tiny little bit of merging. The instructions are all there and it's really easy.

    Good luck and have fun. :)
     
  17. thanosdk

    thanosdk Chieftain

    Joined:
    Sep 21, 2016
    Messages:
    8
    This mod made me come back from Civ V to IV, what a regenerated game it is, really impressive!
    Im using the whole BAT mod, its just marvelous, like Civ IV should have been.

    Kudos!

    Just a minor confusion, do I need BULL since I installed BAT?
     
  18. Lemon Merchant

    Lemon Merchant Smarticus Pantsidae

    Joined:
    Jun 27, 2008
    Messages:
    4,359
    Gender:
    Female
    Location:
    Red Sector A
    BAT includes BULL so no you don't really need it.

    However, if you want to play just standard BTS games with BUG, you can add in BULL and have that running at the same time. No worries as it won't interfere with other mods, including BAT, as long as it's installed in Custom Assets. The BULL readme files discuss how to merge in the BULL files to regular BUG. It's easy.

    And thank you for the nice words. :)
     
    thanosdk likes this.
  19. thanosdk

    thanosdk Chieftain

    Joined:
    Sep 21, 2016
    Messages:
    8
    Thanks for the clarifications, much appreciated, im fine with BAT, it is just perfect. One thing bothers me only with the Blue Marble, when I install it through BAT's setup, the game interface remains blue, if I install it from its own installer, the interface goes yellow, I don't know if im missing something or it is like that. Also the shortcut created to the desktop has no icon, but its just a cosmetic thingy... but I report it since I saw it :p
    Thanks :)
     
  20. Lemon Merchant

    Lemon Merchant Smarticus Pantsidae

    Joined:
    Jun 27, 2008
    Messages:
    4,359
    Gender:
    Female
    Location:
    Red Sector A
    I have Blue Marble set to default to a blue background, whereas the installer for BM makes the screen a sickly sort of yellow color. That's normal.

    Did you know that you can alter the HUD color to anything you want to? Simply by using my fabulous utility that changes HUD colors. You can get it here:

    http://forums.civfanatics.com/threads/civ4-hud-color-utility.432883/

    Enjoy :)

    As for the missing icon. I have no idea why that happens. I'll post the icon again for you.
     

Share This Page